package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal;

import java.util.HashMap;

import org.zkoss.util.resource.Labels;

import com.rjconsultores.ventaboletos.web.utilerias.PantallaUtileria;
import com.rjconsultores.ventaboletos.web.utilerias.menu.DefaultItemMenuSistema;
import com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal.TipoImportacaoFiscal.TipoImportacao;

public class ItemMenuImportacionFiscalEcfCancelados extends DefaultItemMenuSistema {

	public ItemMenuImportacionFiscalEcfCancelados() {
		super("indexController.mniImportacionFiscalEcfCancelados.label");
	}

	@Override
	public String getClaveMenu() {
		return "COM.RJCONSULTORES.ADMINISTRACION.GUI.RELATORIOS.IMPRESSAOFISCAL.MENU.IMPORTACIONFISCAL";
	}

	@Override
	public void ejecutar() {

		@SuppressWarnings("unchecked")
		HashMap<String, Boolean> map = TipoImportacaoFiscal.selecionaTipoImportacao(TipoImportacao.ECF_CANCELADOS, (HashMap<String, Boolean>) getArgs());
		map.put("ExibirTipoGeracaoArquivo", true);

		PantallaUtileria.openWindow("/gui/impressaofiscal/busquedaImportacionFiscal.zul",
				Labels.getLabel("busquedaImportacionFiscalEcfCanceladosController.window.title"), map, desktop);
	}

}
